# -*- encoding: utf-8 -*-
from openerp import models, fields, api, _
from openerp.exceptions import Warning
from pytz import timezone
from openerp.tools import DEFAULT_SERVER_DATETIME_FORMAT, DEFAULT_SERVER_DATE_FORMAT
from datetime import datetime,timedelta

DATE_FORMAT = '%Y-%m-%d'

class sale_order(models.Model):
    _inherit = 'sale.order'

    nodiseno = fields.Boolean('Sin diseño')
    sidiseno = fields.Boolean('Con diseño')
    novisible = fields.Boolean('No visible')
    sivisible = fields.Boolean('Visible')

    _defaults = {
        'nodiseno': True,
        'sivisible': True
    }


    @api.one
    @api.onchange('nodiseno')
    def cambiar_estado_nodiseno(self):
        self.sidiseno = not self.nodiseno

    @api.one
    @api.onchange('sidiseno')
    def cambiar_estado_sidiseno(self):
        self.nodiseno = not self.sidiseno


    @api.one
    @api.onchange('sivisible')
    def cambiar_estado_sivisible(self):
        self.novisible = not self.sivisible

    @api.one
    @api.onchange('novisible')
    def cambiar_estado_novisible(self):
        self.sivisible = not self.novisible
